Subject: [6lowpan] Re: Comment on the format document for IPv6-multicast support

From: gabriel montenegro <[email-masked]>
Date: Sat, 24 Jun 2006 10:18:13 -0700 (PDT)

I think the full specification for multicast is probably something that belongs in its own specification, and may
depend on your choice of mesh routing protocol. Your question as to how suitable is the current format is 
something that Ian Chakeres has discussed in a message of his. I think that the current format may not
be suitable, because it lacks a field to help eliminate duplicates. 

-gabriel

----- Original Message ----
From: Ki-Hyung Kim <[email-masked]>
To: 6lowpan <[email-masked]>
Cc: gabriel montenegro <[email-masked]>
Sent: Sunday, April 30, 2006 11:14:52 AM
Subject: Comment on the format document for IPv6-multicast support

Hi Gabriel and 6lowpaners,
  
 I want to raise an issue of supporting IPv6-multicast in 6lowpan.
  
 There are some cases which might require multicasting in 6lowpan such as packet transmission with multicast targets (0xFF~), Neighbor or Router advertisements.
 We can optimize some multicast by using an optimization technique, e.g. ND optimization, but not for all cases such as multicast targets(0xFF).
 Because the link layer of 6lowpan does not support multicast, multicast should be realized by broadcast (or flooding).
  
 My question is whether the current format document does support the broadcasting(or flooding) or not.
 It is clear that broadcast ID should exist on the adaptation layer for supporting broadcasting(or flooding) at the adaptation layer. ( in order to avoid duplicate handling of the same broadcast messages on a node)
  Is there a mechanism of broadcast ID in the current format document? If the adaptation layer does not have the mechanism, I believe that we should include it.
  
 What is your opinions?

-- 
Ki-Hyung Kim 
 Associate Professor
Division of Information and Computer Eng., Ajou University, Suwon, Korea 442-749
Tel: +82-31-219-2433, Cel: +82-17-760-2551,  Fax: +82-31-219-2433 http://www.6lowpan.org 

_______________________________________________
6lowpan mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/6lowpan